﻿using Microsoft.AspNetCore.Mvc;
using Microsoft.Extensions.Logging;
using Microsoft.Extensions.Options;
using HealthMonitor.Core.Cache;
using HealthMonitor.Core.Dal;
using HealthMonitor.Core.Dal.Factory;
using HealthMonitor.Core.Operator;
using HealthMonitor.Util.Entities.GpsCard;
using HealthMonitor.WebApi.Configs;
using HealthMonitor.WebApi.Controllers.Base;

namespace HealthMonitor.WebApi.Controllers.GpsCard
{
	[ApiExplorerSettings(GroupName = AppConsts.SWAGGER_DOC_GpsCard)]
	public class GpsBloodPressReferenceValueController : GpsCardControllerBase<GpsBloodPressReferenceValue>
	{
		

		public GpsBloodPressReferenceValueController(
			IGpsCardDataAccessor dataAccessor, 
			IGpsCardOperatorManager operatorManager, 
			IDurableEntityManager durableManager,
			ILogger<GpsBloodPressReferenceValueController> logger 
			//IOptions<RedisConfig> options
			)
			: base(dataAccessor, operatorManager, durableManager, logger)
		{
			//_options = options.Value;
		}
	}
}
